// déclaration des constantes
int   portTemp = 2;       // la tension aux bornes de la CTN est envoyée sur le port température : port analogique 0
float a = -29.88032;      // La température est donnée par la relation T = a*U + b avec a coefficient directeur 
float b = 120.17;         // b ordonnée à l'origine

// Définition des variables
int   N = 0;              // variable nombre N sur port température
float U;                  // variable tension U = 5*N/1024
float Temp;               // variable température mesurée par le capteur

void setup()
{
  // initialisation du port série
  Serial.begin(9600);
}

void loop()
{
  N = analogRead(portTemp); // Lecture de N
  U = 5.0 * N / 1024;     // Calcul de U (avec des constantes en virgule flottante)
  Temp = a * U + b;         // Calcul de la température T
  
  
  Serial.print(Temp, 2);     // Afficher T avec 2 décimales
   Serial.print(",");
   delay(1000);
}
