// déclaration des constantes
int           portTemp = 2;             // la tension aux bornes de la CTN est envoyée sur le port température : port analogique 0
float         a = -0.1459 ;                   // coefficient  a 
float         b = 120.17;                    // coefficient b
int           portVentilateur = 3;      // la commande du ventilateur se fait par le port numérique 3
int           consigneHaute = 50;            // valeur de la consigne haute
int           consigneBasse = 30;             // valeur de la consigne basse

// Définition des variables
int           N = 0;                    //  variable nombre N sur port température
float U;                  // variable tension U = 5*N/1024
float         Temp;                     // variable température mesurée par le capteur
int           commandeVitesse = 0;      // pourcentage de la commande de vitesse de 0 à 100%

void setup()
{  // initialisation serial port
  Serial.begin(9600);
    pinMode(portVentilateur, OUTPUT);}

void loop()
{
  N = analogRead(portTemp); //Lecture N
  U = 5.0 * N / 1024;     // Calcul de U (avec des constantes en virgule flottante)
  Temp = a * N + b;         //calcul température T
  if (     Temp<consigneBasse                     )
  {
    commandeVitesse =   100   ;
  }
  if (         Temp>consigneHaute                 )
  {
    commandeVitesse =    0  ;
  }

//commande de la vitesse du ventilateur
// division par 500 pour que la variation de 0 à 20% soit ramenée à une variation virtuelle de 0 à 100% 
  analogWrite(portVentilateur,255*commandeVitesse/500);
  

  //Serial.print(consigne);
 // Serial.print(",");
  Serial.print(Temp);
  Serial.print(",");
  Serial.println(commandeVitesse);
  delay(1000);
}
